| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::Features Class Reference
Utililty classes

The Features class represents a list of Feature. More...

`#include <TelepathyQt/Features>`

Inheritance diagram for Tp::Features:
[legend]

## Public Member Functions

| Features ()
| Features (const Feature &feature)
| Features (const QSet< Feature > &s)
Public Member Functions inherited from QSet< Feature >
| QSet ()
| QSet (const QSet< T > &other)
QSet< T > & | operator= (const QSet< T > &other)
void | swap (QSet< T > &other)
bool | operator== (const QSet< T > &other) const
bool | operator!= (const QSet< T > &other) const
int | size () const
bool | isEmpty () const
int | capacity () const
void | reserve (int size)
void | squeeze ()
void | clear ()
bool | remove (const T &value)
bool | contains (const T &value) const
bool | contains (const QSet< T > &other) const
iterator | begin ()
const_iterator | begin () const
const_iterator | constBegin () const
iterator | end ()
const_iterator | end () const
const_iterator | constEnd () const
iterator | erase (iterator pos)
int | count () const
const_iterator | insert (const T &value)
iterator | find (const T &value)
const_iterator | find (const T &value) const
const_iterator | constFind (const T &value) const
QSet< T > & | unite (const QSet< T > &other)
QSet< T > & | intersect (const QSet< T > &other)
QSet< T > & | subtract (const QSet< T > &other)
bool | empty () const
QSet< T > & | operator<< (const T &value)
QSet< T > & | operator|= (const QSet< T > &other)
QSet< T > & | operator|= (const T &value)
QSet< T > & | operator&= (const QSet< T > &other)
QSet< T > & | operator&= (const T &value)
QSet< T > & | operator+= (const QSet< T > &other)
QSet< T > & | operator+= (const T &value)
QSet< T > & | operator-= (const QSet< T > &other)
QSet< T > & | operator-= (const T &value)
QSet< T > | operator| (const QSet< T > &other) const
QSet< T > | operator& (const QSet< T > &other) const
QSet< T > | operator+ (const QSet< T > &other) const
QSet< T > | operator- (const QSet< T > &other) const
QList< T > | toList () const
QList< T > | values () const

## Additional Inherited Members

Static Public Member Functions inherited from QSet< Feature >
QSet< T > | fromList (const QList< T > &list)
Public Attributes inherited from QSet< Feature >
typedef | Iterator
typedef | ConstIterator
typedef | key_type
typedef | value_type
typedef | pointer
typedef | const_pointer
typedef | reference
typedef | const_reference
typedef | difference_type
typedef | size_type

## Detailed Description

The Features class represents a list of Feature.

## Constructor & Destructor Documentation

## § Features() [1/3]

Tp::Features::Features | ( |  | ) |

inline

## § Features() [2/3]

Tp::Features::Features | ( | const Feature & | feature | ) |

inline

## § Features() [3/3]

Tp::Features::Features | ( | const QSet< Feature > & | s | ) |

inline